Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CategoryStructureException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.beasys.commerce.foundation.exception.ApplicationException
                        |
                        +--com.beasys.commerce.ebusiness.catalog.CatalogException
                              |
                              +--com.beasys.commerce.ebusiness.catalog.CategoryStructureException

public class CategoryStructureException
extends CatalogException

`CategoryStructureException` indicates a system error related to the structure of the category hierarchy.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `MESSAGE_KEY`

Fields inherited from class com.beasys.commerce.ebusiness.catalog.CatalogException
`MESSAGE_KEY, MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`CategoryStructureException(CatalogItemKey key)` Constructs a `CatalogFinderException`.
`CategoryStructureException(CatalogItemKey key, java.lang.Exception exception)` Constructs a `CatalogFinderException`.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_KEY

    public static final java.lang.String MESSAGE_KEY

Constructor Detail

### CategoryStructureException

    public CategoryStructureException(CatalogItemKey key)

  Constructs a `CatalogFinderException`.

### CategoryStructureException

    public CategoryStructureException(CatalogItemKey key,
                                      java.lang.Exception exception)

  Constructs a `CatalogFinderException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved